ModuleLibrary (Gradle API 2.11)
Date: 2016-02-08

Package: org.gradle.plugins.ide.idea.model

## [Groovy] Class ModuleLibrary

- org.gradle.plugins.ide.idea.model.ModuleLibrary

- All Implemented Interfaces and Traits:
    Dependency

      class ModuleLibrary
      extends Object

  Represents an orderEntry of type module-library in the iml XML.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Set<Path>` | `classes` A set of Jar files or directories containing compiled code.
    `boolean` | `exported` Whether the library is exported to dependent modules.
    `Set<JarDirectory>` | `jarDirectories` A set of directories containing Jar files.
    `Set<Path>` | `javadoc` A set of Jar files or directories containing Javadoc.
    `String` | `scope` The scope of this library.
    `Set<Path>` | `sources` A set of Jar files or directories containing source code.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ModuleLibrary (Collection<Path> classes, Collection<Path> javadoc, Collection<Path> sources, Collection<JarDirectory> jarDirectories, String scope)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addToNode(groovy.util.Node parentNode)`
    `boolean` | `equals(def o)`
    `int` | `hashCode()`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### Set<Path> classes

      A set of Jar files or directories containing compiled code.

    - #### boolean exported

      Whether the library is exported to dependent modules.

    - #### Set<JarDirectory> jarDirectories

      A set of directories containing Jar files.

    - #### Set<Path> javadoc

      A set of Jar files or directories containing Javadoc.

    - #### String scope

      The scope of this library. If `null`, the scope attribute is not added.

    - #### Set<Path> sources

      A set of Jar files or directories containing source code.

  - ### Constructor Detail

    - #### ModuleLibrary(Collection<Path> classes, Collection<Path> javadoc, Collection<Path> sources, Collection<JarDirectory> jarDirectories, String scope)

  - ### Method Detail

    - #### void addToNode(groovy.util.Node parentNode)

    - #### boolean equals(def o)

    - #### int hashCode()

    - #### String toString()